Bug 533886 - F12 libguestfs SRPM fails selftest on RHEL6 with ide (works fine w/ virtio)
F12 libguestfs SRPM fails selftest on RHEL6 with ide (works fine w/ virtio)
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-09 11:28 EST by Charles Duffy
Modified: 2010-03-16 13:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 08:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log of libguestfs build+test run (29.56 KB, application/x-xz)
2009-11-09 11:28 EST, Charles Duffy
no flags Details

  None (edit)
Description Charles Duffy 2009-11-09 11:28:36 EST
Created attachment 368250 [details]
Log of libguestfs build+test run

[CC'd to rwmjones for reclassification if filed against the wrong component]

Description of problem:

  The libguestfs virtual appliance is unable to find its attached hard drive when booting, and thus fails selftest badly. Rebuilding to use virtio works around this.

Version-Release number of selected component (if applicable):

  qemu-kvm-0.10.91-0.5.rc1.fc12

  libguestfs-1.0.75-1.fc12

  CD install media RHEL6.0-20091020.1

How reproducible:

  100%

Steps to Reproduce:
1. Pull the libguest srpm from Fedora 12
2. Ensure that packages needed for guest can be found under /var/cache/yum
3. Attempt to build with rpmbuild -ba libguestfs.spec
  
Actual results:

  Package fails to build in selftest -- guest is unable to detect IDE devices.

Expected results:

  Package should build as it does on Fedora 12.

Additional info:

  Log of unsuccessful build and test run attached.
Comment 3 Richard W.M. Jones 2009-11-09 12:06:14 EST
Assigning to me to have a look at this.
Comment 4 Charles Duffy 2009-11-10 01:11:42 EST
On further investigation, this looks to me like an issue in libguestfs, particularly with the appliance build; no modules matching /lib/modules/*/kernel/drivers/ata/*.ko exist within the generated appliance.

Adding ata_piix.ko to the libguestfs module whitelist makes things better.
Comment 5 Richard W.M. Jones 2009-11-10 07:55:20 EST
Yes, I reproduced this problem.

I compiled from git using the following commands:

./autogen.sh \
  --enable-gcc-warnings \
  --enable-debug-command \
  --enable-supermin \
  --with-drive-if=ide \
  --with-repo=rhel-6 \
  --with-mirror=/path/to/RHEL6.0-20091021.0/6/i386/os
make

and then I tested it using guestfish:

export LIBGUESTFS_DEBUG=1
./fish/guestfish
><fs> alloc /tmp/test.img 10M
><fs> run
><fs> list-devices
[no devices are listed]

I'm going to try adding ata_piix.ko to kmod.whitelist.in
and see if that makes any difference.
Comment 6 Richard W.M. Jones 2009-11-10 08:14:06 EST
Confirmed: fixed by adding ata_piix.ko.

I've pushed a patch upstream for this:

https://www.redhat.com/archives/libguestfs/2009-November/msg00086.html
Comment 7 Richard W.M. Jones 2009-11-10 08:15:36 EST
No point having this bug private, so moved
to Virtualization Tools / libguestfs.

Note You need to log in before you can comment on or make changes to this bug.